Bug 432978 - bugzilla doesn't recongize RedHat email aliases
bugzilla doesn't recongize RedHat email aliases
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: User Accounts (Show other bugs)
devel
All Linux
medium Severity high (vote)
: ---
: ---
Assigned To: Jeff Fearn
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 11:06 EST by Don Zickus
Modified: 2012-05-30 09:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 09:45:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Zickus 2008-02-15 11:06:52 EST
Description of problem:

I ran into a problem today, when I tried to cc some people on a bz.  Apparently
bugzilla could not find their email addresses and failed to allow me to cc them.
 Later I found out the email addresses I was using were email aliases.

Considering I really have no way to figure out if the email address I have for a
user is an alias or not, bugzilla needs to handle this correctly.

Example aliases I had trouble with sandeen@redhat.com -> esandeen@redhat.com and
jbacik@redhat.com -> jwhiter@redhat.com



Version-Release number of selected component (if applicable):
latest

How reproducible:
very

Steps to Reproduce:
1.create dummy bug
2.trying adding a cc of one of the example aliases to the bug
3.watch bugzilla tell you no, can't find address
  
Actual results:


Expected results:


Additional info:
Comment 1 David Lawrence 2008-11-25 17:00:57 EST
Bugzilla currently only supports one email address per user account. This will take some considerable work to implement and may best be coordinated with the upstream.
Comment 2 Jeff Fearn 2012-05-30 00:39:49 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 3 Simon Green 2012-05-30 09:45:54 EDT
(In reply to comment #0)
> Description of problem:
> 
> I ran into a problem today, when I tried to cc some people on a bz. 
> Apparently
> bugzilla could not find their email addresses and failed to allow me to cc
> them.
>  Later I found out the email addresses I was using were email aliases.

You can only CC: an address that has an account in Bugzilla. The fact it is an alias isn't relevant. There are many e-mail aliases that are users in Bugzilla.

Note You need to log in before you can comment on or make changes to this bug.